FDX
Download Statement
Use the /api/fdx/5/accounts//statements/ endpoint to download the original statement file for a particular account. Set the Accept header to the content type you want (application/pdf, image/gif, image/jpeg, image/tiff, or image/png) — defaults to application/pdf.
GET
Download Statement
Use the
/api/fdx/5/accounts/{accountId}/statements/{statementId} endpoint to download the original statement file for a particular account. Get the statementId by calling Get Statements.
To successfully call this endpoint, you must first call the /Token endpoint to obtain a valid access_token using:
- grant_type:
authorization_codeorrefresh_token - client_id:
{recipient client_id} - client_secret:
{recipient client_secret} - redirect_uri:
{recipient redirect_uri} - code:
{with grant type authorization_code} - refresh_token:
{with grant type refresh_token}
Choose the file format
Set theAccept header to the content type you want. If you omit it, or send */*, the statement is returned as application/pdf. If you send several values, the first supported one is used.
If the requested content type isn’t supported, the endpoint returns error 1203 (406).
Handle the response
- 200: The response body is the statement file in the requested format.
- 302: The statement is available at another location. Follow the URL in the
Locationheader. - 400 with code 1300: The statement is still processing. Try again later. Use Get Statements to check the statement’s
status. - 413 with code 413: The statement file is larger than the maximum size Flinks will return directly.
- 404 with code 1104 or 1108: The
statementIddoesn’t exist for the account, or the account has no statements.
Not all Data Providers support this endpoint
If the Data Provider does not support statements, this endpoint returns error 501 (Subsystem unavailable) with a 405 status code.How to handle an error response
If you receive an error response, refer to the List of Data Access Errors for more information about the error and how to resolve it.Authorizations
Bearer token obtained from the /Token endpoint.
Headers
The content type you want the statement returned as. Defaults to application/pdf if omitted.
Available options:
application/pdf, image/gif, image/jpeg, image/tiff, image/png Path Parameters
The ID of the customer account that the statement belongs to.
The statementId returned by Get Statements.
Response
The statement file.
The response is of type file.